Package org.eclipse.microprofile.rest.client.tck.interfaces.ssl

# Class ConfigurableHostnameVerifier

java.lang.Object
org.eclipse.microprofile.rest.client.tck.interfaces.ssl.ConfigurableHostnameVerifier

All Implemented Interfaces:
  `HostnameVerifier`

public class ConfigurableHostnameVerifier extends Object implements HostnameVerifier

## Constructor Summary

Constructors
Constructor
Description
`ConfigurableHostnameVerifier()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getHostname()`
`static SSLSession`
`getSslSession()`
`static void`
`setAccepting(boolean accepting)`
`boolean`
`verify(String hostname, SSLSession sslSession)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurableHostnameVerifier

public ConfigurableHostnameVerifier()

## Method Details

### verify

public boolean verify(String hostname, SSLSession sslSession)

Specified by:
  `verify` in interface `HostnameVerifier`

### setAccepting

public static void setAccepting(boolean accepting)

### getSslSession

public static SSLSession getSslSession()

### getHostname

public static String getHostname()